Subject: Re: linux-next: build failure after merge of the tip tree

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Apr 2016 22:55:47 +1000

On Thu, 2016-04-14 at 09:35 -0300, Arnaldo Carvalho de Melo wrote:
> Em Thu, Apr 14, 2016 at 12:14:18PM +1000, Stephen Rothwell escreveu:
> > Hi all,
> > 
> > After merging the tip tree, today's linux-next build (powerpc64le perf)
> > failed like this:
> > 
> > make[3]: *** No rule to make target '/home/sfr/next/perf/arch/x86/include/generated/asm/syscalls_64.c', needed by '/home/sfr/next/perf/util/syscalltbl.o'.  Stop.
> > 
> > (I build in /home/sfr/next/next with objects in /home/sfr/next/perf.)
> 
> I'll check, should've been caught by a cross compiler build for ppc64le
> I have in place :-\
> 
> minimal-ubuntu-x-ppc64el: Ok
> 
> But maybe not, as this requires audit-libs-devel and that is not present
> on that minimal ubuntu x-compiler setup, sigh :-\

Hi acme,

I have a jenkins which builds perf on ppc64le, but it only builds Linus' tree
and linux-next.

Which branch in your tree should I be building in order to catch problems like
this, perf/core ?

https://git.kernel.org/cgit/linux/kernel/git/acme/linux.git/log/?h=perf/core

cheers